Addresses
Pickup addresses
Create a New Address
Request Parameters
| Parameter | Required | Description |
|---|---|---|
addressName | Required | Name for the address |
addressLine1 | Required | Max 60 chars – do not send garbage chars |
addressLine2 | Required | Max 60 chars – do not send garbage chars |
zipCode | Required | 6-digit Indian pincode only |
addressType | Optional | SENDER (pickup) or RECEIVER (customer) |
contactName | Required | Max 60 chars |
email | Required | Proper email format is mandatory |
phoneNumber | Required | Used for SMS and WhatsApp communication |
city | Optional | Auto-populated based on zipcode |
state | Optional | Auto-populated based on zipcode |
If city-state data is not available with Google Maps API for the given pincode, then the API call will fail.
Request Example
curl --location --request POST '<HOST>/api/v1/open/address' \
--header 'Authorization: Basic XXX==' \
--header 'sitecode: CARRIER' \
--header 'Content-Type: application/json' \
--data-raw '{
"addressName": "John Doe'\''s Residence",
"addressLine1": "123 Main St",
"addressLine2": "Apt 4B",
"zipCode": 500098,
"addressType": "SENDER",
"contactName": "John Doe",
"email": "johndoe@example.com",
"phoneNumber": "+918885000000"
}'Response Example
{
"data": 99880,
"errorMessage": null
}The data field contains the unique address ID which can be used to create orders.
Update an Existing Address
Request Example
curl --location --request PUT '<HOST>/api/v1/open/address' \
--header 'Authorization: Basic XXX' \
--header 'sitecode: CARRIER' \
--header 'Content-Type: application/json' \
--data-raw '{
"addressId": 59673,
"addressName": "John Donut'\''s Residence",
"addressLine1": "123 Main St",
"addressLine2": "Apt 4B",
"city": "Hyderabad",
"state": "TG",
"zipCode": 500098,
"addressType": "SENDER",
"contactName": "John Donut",
"email": "johndoe@example.com",
"phoneNumber": "+918885000000"
}'Response Example
{
"data": true,
"errorMessage": null
}Get Address Details
Request Example
curl --location --request GET '<HOST>/api/v1/open/address/59673' \
--header 'Authorization: Basic XXX' \
--header 'sitecode: CARRIER'Response Example
{
"data": {
"addressId": 59673,
"addressName": "John Donut's Residence",
"addressLine1": "123 Main St",
"addressLine2": "Apt 4B",
"city": "Hyderabad",
"state": "Telangana",
"zipCode": 500098,
"addressType": "SENDER",
"contactId": 20915,
"contactName": "John Donut",
"email": "johndoe@example.com",
"phoneNumber": "+91888000000"
},
"errorMessage": null
}Delete an Address
Request Example
curl --location --request DELETE '<HOST>/api/v1/open/address/59673' \
--header 'Authorization: Basic XXX' \
--header 'sitecode: CARRIER'Response Example
{
"data": true,
"errorMessage": null
}Stuck on an integration?
Your account manager can put you in touch with our tech team.